Page MenuHomePhabricator

API: Add jsconfigvars to action=parse
Closed, ResolvedPublic

Description

Along with the resourceloader modules (prop=modules, gerrit 126848) the jsconfigvars should also be added to the output of API's action=parse, because a module can depend on such vars.


Version: 1.24rc
Severity: normal

Details

Reference
bz65015

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:25 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz65015.
bzimport added a subscriber: Unknown Object (MLST).
gerritbot added a subscriber: gerritbot.

Change 186540 had a related patch set uploaded (by Anomie):
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/186540

Patch-For-Review

TheDJ added a subscriber: TheDJ.Feb 19 2015, 1:12 PM

I'm wondering if adding an extra option specifically for this is desirable. perhaps we should just group it under modules ?

Does the one option really make sense without the other ?

Considering we're offering two different formats for the data (inline and JSON-encoded blob), new props seem more straightforward than an extra format-selector parameter.

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 19 2015, 6:36 PM

Change 186540 merged by jenkins-bot:
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/186540

TheDJ closed this task as Resolved.May 11 2015, 11:50 AM
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot, Unknown Object (MLST).

Change 210064 had a related patch set uploaded (by Yurik):
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/210064

Change 210065 had a related patch set uploaded (by Manybubbles):
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/210065

Change 210065 merged by jenkins-bot:
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/210065

Change 210064 merged by jenkins-bot:
API: Add output of JS config vars to action=parse

https://gerrit.wikimedia.org/r/210064